Skip to main content
DELETE
/
v2
/
offer
/
{publisherOfferId}
curl -X DELETE \
  'https://api.appcharge.com/v2/offer/store-refresh-offer-1' \
  -H 'Content-Type: application/json' \
  -H 'x-publisher-token: <x-publisher-token>'
{
  "publisherId": "35nb7861ec9924a6b69a0fe59",
  "publisherOfferId": "store-refresh-offer",
  "name": "Store Refresh Offer",
  "displayName": "Limited time deal",
  "description": "Shown periodically when the store refreshes",
  "type": "PopUp",
  "subType": "StoreRefresh",
  "active": true,
  "segments": [],
  "offerUi": {
    "offerUiId": "68b41c5aa1c5b1a284737e9b",
    "active": true,
    "offerUiType": "PopUp",
    "name": "Real_Store_Refresh",
    "description": "description",
    "externalId": "Real_Store_Refresh"
  },
  "productsSequence": [
    {
      "index": 1,
      "products": [
        {
          "product": {
            "publisherProductId": "green_diamond",
            "name": "Green Diamond",
            "type": "Quantity",
            "priority": "Main",
            "displayName": "Green Diamond"
          }
        },
        {
          "product": {
            "publisherProductId": "pink_diamond",
            "name": "Pink Diamond",
            "type": "Quantity",
            "priority": "Main",
            "displayName": "Pink Diamond"
          }
        }
      ],
      "priceInUsdCents": 0,
      "playerAvailability": 10
    }
  ],
  "priority": 5,
  "displayRule": {
    "frequency": 3,
    "cooldownInMinutes": 1
  },
  "schedule": {
    "permanent": false,
    "timeFrames": [
      {
        "startTime": "2026-05-02T00:00:00.000Z",
        "endTime": "2026-05-04T23:59:59.000Z",
        "notes": "Initial weekend rollout"
      },
      {
        "startTime": "2026-05-10T00:00:00.000Z",
        "endTime": "2026-05-12T23:59:59.000Z"
      }
    ]
  },
  "productSale": {
    "sale": 30,
    "type": "percentage"
  },
  "priceDiscount": {
    "discount": 25,
    "type": "percentage"
  },
  "badges": [
    {
      "publisherBadgeId": "best_value"
    }
  ],
  "createdAt": "2026-05-01T14:16:09.499Z",
  "updatedAt": "2026-05-01T14:16:09.499Z",
  "offerId": "68b5aaa9b73fceb9ffc26f9b"
}
curl -X DELETE \
  'https://api.appcharge.com/v2/offer/store-refresh-offer-1' \
  -H 'Content-Type: application/json' \
  -H 'x-publisher-token: <x-publisher-token>'
{
  "publisherId": "35nb7861ec9924a6b69a0fe59",
  "publisherOfferId": "store-refresh-offer",
  "name": "Store Refresh Offer",
  "displayName": "Limited time deal",
  "description": "Shown periodically when the store refreshes",
  "type": "PopUp",
  "subType": "StoreRefresh",
  "active": true,
  "segments": [],
  "offerUi": {
    "offerUiId": "68b41c5aa1c5b1a284737e9b",
    "active": true,
    "offerUiType": "PopUp",
    "name": "Real_Store_Refresh",
    "description": "description",
    "externalId": "Real_Store_Refresh"
  },
  "productsSequence": [
    {
      "index": 1,
      "products": [
        {
          "product": {
            "publisherProductId": "green_diamond",
            "name": "Green Diamond",
            "type": "Quantity",
            "priority": "Main",
            "displayName": "Green Diamond"
          }
        },
        {
          "product": {
            "publisherProductId": "pink_diamond",
            "name": "Pink Diamond",
            "type": "Quantity",
            "priority": "Main",
            "displayName": "Pink Diamond"
          }
        }
      ],
      "priceInUsdCents": 0,
      "playerAvailability": 10
    }
  ],
  "priority": 5,
  "displayRule": {
    "frequency": 3,
    "cooldownInMinutes": 1
  },
  "schedule": {
    "permanent": false,
    "timeFrames": [
      {
        "startTime": "2026-05-02T00:00:00.000Z",
        "endTime": "2026-05-04T23:59:59.000Z",
        "notes": "Initial weekend rollout"
      },
      {
        "startTime": "2026-05-10T00:00:00.000Z",
        "endTime": "2026-05-12T23:59:59.000Z"
      }
    ]
  },
  "productSale": {
    "sale": 30,
    "type": "percentage"
  },
  "priceDiscount": {
    "discount": 25,
    "type": "percentage"
  },
  "badges": [
    {
      "publisherBadgeId": "best_value"
    }
  ],
  "createdAt": "2026-05-01T14:16:09.499Z",
  "updatedAt": "2026-05-01T14:16:09.499Z",
  "offerId": "68b5aaa9b73fceb9ffc26f9b"
}

Headers

x-publisher-token
string
required

The publisher token

Path Parameters

publisherOfferId
string
required

The offer ID provided by the publisher. This is the offer's External ID value in the Publisher Dashboard.

Example:

"store-refresh-offer-1"

Response

Deleted offer.

publisherId
string

Publisher ID.

offerId
string

Store Refresh Popup ID.

publisherOfferId
string

Store Refresh Popup ID provided by the publisher. This is the offer's External ID value in the Publisher Dashboard.

name
string

Store Refresh Popup name.

displayName
string

Store Refresh Popup display name. If not provided, the name will be used.

description
string

Store Refresh Popup description.

type
string

Offer type.

subType
string

Offer sub type - In this case 'StoreRefresh'.

active
boolean

Whether the Store Refresh Popup is active.

priority
integer

Priority level of the Store Refresh Popup.

offerUi
object

UI configuration for the Store Refresh Popup.

segments
string[]

List of player segments that this Store Refresh Popup applies to.

productsSequence
object[]

Sequence of products included in the Store Refresh Popup.

displayRule
object

Rules that control how often the Store Refresh Popup is displayed.

schedule
object

Schedule for when the Store Refresh Popup is available.

productSale
object

Sale details for the product quantity. The sale will only be applied on the first product.

priceDiscount
object

Price discount applied to the Store Refresh Popup. Relevant only for paid offers.

badges
object[]

List of badges associated with the Store Refresh Popup.

Example:
[{ "publisherBadgeId": "best_value" }]
createdAt
string<date-time>

Date the Store Refresh Popup was created.

updatedAt
string<date-time>

Date the Store Refresh Popup was updated.